BMA EHR API Document

Loading...
Searching...
No Matches
Properties | List of all members
BMA.EHR.Domain.Models.HR.ProfileChangeName Class Reference
Inheritance diagram for BMA.EHR.Domain.Models.HR.ProfileChangeName:

## Properties
Guid? | PrefixId`[get, set]`
string? | Prefix`[get, set]`
string? | FirstName`[get, set]`
string? | LastName`[get, set]`
string? | Status`[get, set]`
Document? | Document`[get, set]`
virtual List< ProfileChangeNameHistory > | ProfileChangeNameHistorys = new List<ProfileChangeNameHistory>()`[get, set]`
virtual ? Profile | Profile`[get, set]`
Properties inherited from BMA.EHR.Domain.Models.Base.EntityBase
Guid | Id`[get, set]`
DateTime | CreatedAt = DateTime.Now`[get, set]`
string | CreatedUserId = string.Empty`[get, set]`
DateTime? | LastUpdatedAt`[get, set]`
string | LastUpdateUserId = string.Empty`[get, set]`
string | CreatedFullName = string.Empty`[get, set]`
string | LastUpdateFullName = string.Empty`[get, set]`

## Property Documentation

## ◆ Document

Document? BMA.EHR.Domain.Models.HR.ProfileChangeName.Document
| get set

## ◆ FirstName

string? BMA.EHR.Domain.Models.HR.ProfileChangeName.FirstName
| get set

## ◆ LastName

string? BMA.EHR.Domain.Models.HR.ProfileChangeName.LastName
| get set

## ◆ Prefix

string? BMA.EHR.Domain.Models.HR.ProfileChangeName.Prefix
| get set

## ◆ PrefixId

Guid? BMA.EHR.Domain.Models.HR.ProfileChangeName.PrefixId
| get set

## ◆ Profile

virtual ? Profile BMA.EHR.Domain.Models.HR.ProfileChangeName.Profile
| get set

## ◆ ProfileChangeNameHistorys

virtual List<ProfileChangeNameHistory> BMA.EHR.Domain.Models.HR.ProfileChangeName.ProfileChangeNameHistorys = new List<ProfileChangeNameHistory>()
| get set

## ◆ Status

string? BMA.EHR.Domain.Models.HR.ProfileChangeName.Status
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Domain/Models/HR/ProfileChangeName.cs